Skip to main content
GET
/
simcards
/
configurations
List SIM Configurations
curl --request GET \
  --url https://dashboard.hologram.io/api/1/simcards/configurations \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "limit": 50,
  "size": 2,
  "continues": false,
  "data": [
    {
      "id": 1,
      "name": "G3 Static",
      "description": "Standard G3 profile configuration",
      "enabled_carrier_id": 13,
      "fallback_carrier_id": 13,
      "disabled_carrier_ids": [],
      "vzw_sku": null
    },
    {
      "id": 4,
      "name": "NA Static",
      "description": null,
      "enabled_carrier_id": 10,
      "fallback_carrier_id": 8,
      "disabled_carrier_ids": [],
      "vzw_sku": null
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.hologram.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key.

You can find your API key on the Hologram Dashboard under Account Settings.

Query Parameters

ids
integer[]

Filter by one or more configuration IDs.

carrier_ids
integer[]

Filter to configurations that reference any of these carrier IDs (either as enabled_carrier_id or in disabled_carrier_ids).

disabled_carrier_ids
integer[]

Filter to configurations that have all of these carriers listed in their disabled_carrier_ids.

plan_ids
integer[]

Filter to configurations linked to any of these plan IDs.

orgid
integer
Example:

144

limit
integer

Maximum number of items to return in a single request. For endpoints that support pagination, use this with corresponding /pages endpoints to manage large result sets.

Example:

50

startafter
integer
Example:

102544

Response

200 - application/json

OK

Paginated list of SIM configurations.

success
boolean

Whether the request was successful or not

Example:

true

limit
integer

The max number of items to return in a single response

Example:

10

size
integer

The number of values returned

Example:

216

continues
boolean

Displays if there is another page of results.

Example:

true

data
object[]